<section class="approved-rejected-loans-section">
  <span (click)="filterLoans('')">All Loans</span>
  <span (click)="filterLoans('Approved')">Approved Loans</span>
  <span (click)="filterLoans('Rejected')">Rejected Loans</span>
</section>

<section class="error-message-section">
  <span class="error-message">{{ errorMessage }}</span>
</section>

<section class="customer-loans-dashboard-container">
  <section class="customer-loans-section" *ngFor="let customer of customersList">
    <mat-card *ngIf="customer['appliedLoans'].length !== 0">
    <mat-card-header>
      <section class="customer-main-info-section">
        <section class="customer-details">
          <mat-card-title>{{ customer.name }}</mat-card-title>
          <mat-card-subtitle>{{ customer.designation }} ,
            {{ customer.company }}</mat-card-subtitle>
        </section>
        <section class="customer-gender-age-section">
          <mat-icon>person</mat-icon>
          <span class="customer-gender">{{ customer.gender }}</span>
          <mat-icon>perm_contact_calendar</mat-icon>
          <span class="customer-age">{{ customer.age }} years</span>
        </section>
      </section>
    </mat-card-header>
    <mat-card-content class="customer-loan-details-section">
      <section class="customer-profile-pic-section">
        <!-- <img src="../../../../assets/images/team/" alt="" srcset=""> -->
        <img [src]="customer.profilePicUrl" alt="" srcset="" class="customer-profile-pic" />
      </section>
      <section class="customer-details-section">
        <div class="customer-details">
          <p>E-mail :</p>
          <p>Contact No :</p>
          <p>Monthly Salary :</p>
          <p>Credit Score : </p>
        </div>
        <div class="customer-details-values">
          <p class="customer-email">{{ customer.email  }}</p>
          <p class="customer-contactno">{{ customer.contactNo }}</p>
          <p class="customer-salary">{{ customer.monthlySalary | currency }}</p>
          <p class="customer-creditscore">{{ customer.creditScore }}</p>         
        </div>
      </section>
    
    </mat-card-content>
    <hr class="section-break-hr">
    <mat-card-title class="applied-loans-title">Applied Loans</mat-card-title> 
    <mat-card-content *ngFor="let customerLoan of customer['appliedLoans']">
      <section class="loan-bank-details-section">
      <section class="bank-logo-section">
        <!-- <img src="../../../../assets/images/team/" alt="" srcset=""> -->
        <h2>{{customerLoan.bankName}}</h2>
        <img [src]="customerLoan.bankImageUrl" alt="" srcset="" class="bank-logo-image" />
      </section>
      <section class="loan-details-section">
        <div class="loan-details">
          <p>Applied Loan Amount :</p>
          <p>Interest Rate :</p>
          <p>Processing Fee :</p>
          <p>Term Length :</p>
          <p>Date of Application :</p>
        </div>
        <div class="loan-details-values">
          <p class="loan-amount">{{ customerLoan.appliedLoanAmount | currency }} </p>
          <p class="loan-interest-rates">
              {{ customerLoan.rateOfInterest }} % 
          </p>
          <p class="loan-min-processing-fee">{{ customerLoan.processingFee | currency}} </p>
          <p class="loan-term-length">{{ customerLoan.termLength }} Months</p>
          <p class="applied-date">
            {{ customerLoan.dateOfApplication | date }}
          </p>
         
          
        </div>
      </section>
    </section>
      <mat-card-actions class="loan-status">
        <span [ngClass]="getLoanStatusCss(customerLoan)">
          {{ customerLoan.verificationStatus }}</span>
        <span *ngIf="customerLoan.status == 'Approved'" class="loan-approved">
          Approved
        </span>
        <span *ngIf="customerLoan.status == 'Rejected'" class="loan-rejected">
          Rejected
        </span>
        <section class="approve-reject-section" *ngIf="
            !(
              customerLoan.status == 'Approved' ||
              customerLoan.status == 'Rejected'
            )
          ">
          <button mat-raised-button color="approve" (click)="approveLoan(customer.id,customerLoan)">
            Approve
          </button>
  
          <button mat-raised-button color="warn" (click)="rejectLoan(customer.id,customerLoan)">
            Reject
          </button>
        </section>
      </mat-card-actions>
   
    </mat-card-content>
   
    
    </mat-card>
  </section>
    </section>

